1. Mampfred
  2. MAMP - Troubleshooting
  3. Tuesday, 25 August 2020

Hi,

I've been trying for days to set up a driver for the Mongodb under MAMP Pro 5.7 - macOS 10.15.6 and PHP 7.3.9.

I have followed these instructions:
https://documentation.mamp.info/en/MAMP-PRO-Mac/How-Tos/General/PECL/

Since macOS itself comes with PHP, running "phpize" apparently causes a conflict with the PHP driver that comes with MAMP. The problem is that "phpsize" returns this message:

% phpize -v
grep: /usr/include/php/main/php.h: No such file or directory
grep: /usr/include/php/Zend/zend_modules.h: No such file or directory
grep: /usr/include/php/Zend/zend_extensions.h: No such file or directory
Configuring for:
PHP Api Version:
Zend Module Api No:
Zend Extension Api No:

Have any of you ever solved this problem? How can I prevent "phpize" from being used by macOS? How can I force "phpize" to be used by MAMP instead?

Many thanks in advance!

Cheers, Klaus





There are no replies made for this post yet.
Be one of the first to reply to this post!